Bug 1349584 - RHN RHEL Channels 'rhel-x86_64-<VARIANT>-7-thirdparty-oracle-java' map to a '7.2' version cert; should be '7.3'
Summary: RHN RHEL Channels 'rhel-x86_64-<VARIANT>-7-thirdparty-oracle-java' map to a '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1464236
TreeView+ depends on / blocked
 
Reported: 2016-06-23 18:10 UTC by John Sefler
Modified: 2017-06-22 18:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1464236 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:29:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-06-23 18:10:13 UTC
Description of problem:

RHN RHEL Channel 'rhel-x86_64-client-7-thirdparty-oracle-java' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Client)' id='242' version='7.2' arch='x86_64' providedTags='rhel-7-client-oraclejava,rhel-7-oraclejava' expected:<7.3> but was:<7.2>

RHN RHEL Channel 'rhel-x86_64-hpc-node-7-thirdparty-oracle-java' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Compute Node)' id='243' version='7.2' arch='x86_64' providedTags='rhel-7-computenode-oraclejava,rhel-7-oraclejava' expected:<7.3> but was:<7.2>

RHN RHEL Channel 'rhel-x86_64-server-7-thirdparty-oracle-java' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Server)' id='240' version='7.2' arch='x86_64' providedTags='rhel-7-server-oraclejava,rhel-7-oraclejava' expected:<7.3> but was:<7.2>

RHN RHEL Channel 'rhel-x86_64-workstation-7-thirdparty-oracle-java' maps to the following product cert that corresponds to this RHEL minor release '7.3': name='Oracle Java (for RHEL Workstation)' id='244' version='7.2' arch='x86_64' providedTags='rhel-7-workstation-oraclejava,rhel-7-oraclejava' expected:<7.3> but was:<7.2>


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-datasubscription-manager-migration-data-2.0.29-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep 7-thirdparty-oracle-java: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-client-7-thirdparty-oracle-java: Client-x86_64-1560dd19112b-242.pem
rhel-x86_64-hpc-node-7-thirdparty-oracle-java: Computenode-x86_64-0d8964f2b382-243.pem
rhel-x86_64-server-7-thirdparty-oracle-java: Server-x86_64-df722e6ec37e-240.pem
rhel-x86_64-workstation-7-thirdparty-oracle-java: Workstation-x86_64-2898824e108e-244.pem
[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Client-x86_64-1560dd19112b-242.pem | tail -9
Product:
	ID: 242
	Name: Oracle Java (for RHEL Client)
	Version: 7.2           <=========== EXPECTED 7.3
	Arch: x86_64
	Tags: rhel-7-client-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Computenode-x86_64-0d8964f2b382-243.pem | tail -9
Product:
	ID: 243
	Name: Oracle Java (for RHEL Compute Node)
	Version: 7.2           <=========== EXPECTED 7.3
	Arch: x86_64
	Tags: rhel-7-computenode-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Server-x86_64-df722e6ec37e-240.pem | tail -9
Product:
	ID: 240
	Name: Oracle Java (for RHEL Server)
	Version: 7.2           <=========== EXPECTED 7.3
	Arch: x86_64
	Tags: rhel-7-server-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@jsefler-rhel7 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Workstation-x86_64-2898824e108e-244.pem | tail -9
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 7.2           <=========== EXPECTED 7.3
	Arch: x86_64
	Tags: rhel-7-workstation-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 



Actual results:
  above

Expected results:
  Version: 7.3

Additional info:
  Fixing this subscription-manager-migration-data bug depends on upstream creation of oracle-java-rhel-7.3 product certs in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids and mappings in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json

Comment 5 Shwetha Kallesh 2016-08-10 07:34:39 UTC
RHN RHEL Channels 'rhel-x86_64-<VARIANT>-7-thirdparty-oracle-java' now map to a '7.3'

[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch


[root@dhcp35-77 ~]# grep 7-thirdparty-oracle-java: /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-client-7-thirdparty-oracle-java: Client-x86_64-00a456052128-242.pem
rhel-x86_64-hpc-node-7-thirdparty-oracle-java: ComputeNode-x86_64-14fd679910f2-243.pem
rhel-x86_64-server-7-thirdparty-oracle-java: Server-x86_64-647b5c5e2444-240.pem
rhel-x86_64-workstation-7-thirdparty-oracle-java: Workstation-x86_64-c75414e7f668-244.pem
[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Client-x86_64-00a456052128-242.pem | tail -9
Product:
	ID: 242
	Name: Oracle Java (for RHEL Client)
	Version: 7.3
	Arch: x86_64
	Tags: rhel-7-client-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/ComputeNode-x86_64-14fd679910f2-243.pem | tail -9
Product:
	ID: 243
	Name: Oracle Java (for RHEL Compute Node)
	Version: 7.3
	Arch: x86_64
	Tags: rhel-7-computenode-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Server-x86_64-647b5c5e2444-240.pem | tail -9
Product:
	ID: 240
	Name: Oracle Java (for RHEL Server)
	Version: 7.3
	Arch: x86_64
	Tags: rhel-7-server-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name: 

[root@dhcp35-77 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-7/Workstation-x86_64-c75414e7f668-244.pem | tail -9
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 7.3
	Arch: x86_64
	Tags: rhel-7-workstation-oraclejava,rhel-7-oraclejava
	Brand Type: 
	Brand Name:

Comment 7 errata-xmlrpc 2016-11-03 20:29:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.